<?xml version="1.0" encoding="EUC-JP"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja">

 <head>
  <!-- 京 -->
  <meta http-equiv="content-type" content="application/xhtml+xml; charset=EUC-JP" />
  <meta http-equiv="content-style-type" content="text/css" />
  <title>mod_uploader</title>
  <link rel="stylesheet" type="text/css" href="../css/default.css" media="screen" />
  <link rel="shortcut icon" href="../img/favicon.ico" />
 </head>

 <body>

  <div>
   <a href="<%= uploader_url %>">
    <img src="../img/mod_uploader.png" width="350" height="56" alt="mod_uploader" class="title" />
   </a>
  </div>

  <h1>File List</h1>

  <div class="description">
    現在，<%= total_file_size %> (<%= total_file_number %> 個) のファイルがアップロードされています．
    [<a href="?<%= current_page %>;<%= Time.now.tv_sec %>"><em>リロード</em></a>]
  </div>

  <div class="page_info">
   Page:
<%
   (1 .. page_number).each {|page|
     if page == current_page then
%>
     [ <em><%= page %></em> ]
<%
      else
%>
     [<a href="?<%= page %>"><%= page %></a>]
<%
     end
   }
%>
  </div>

  <table class="file">
   <tr>
    <th class="download"></th>
    <th class="name">NAME</th>
    <th class="comment">COMMENT</th>
    <th class="size">SIZE</th>
    <th class="mime">MIME</th>
    <th class="date">DATE</th>
    <th class="remove"></th>
   </tr>
<% item_list.each {|item| %>
   <tr>
    <td class="download"><a href="<%= uploader_url %>download/<%= item.file_path %>?dl">DL</a></td>
    <td class="name"><a href="<%= uploader_url %>download/<%= item.file_path %>"><%= item.file_name %></a></td>
    <td class="comment"><%= item.comment %></td>
    <td class="size"><%= item.file_size %></td>
    <td class="mime"><%= item.file_mime %></td>
    <td class="date"><%= item.time %></td>
    <td class="remove">
     <form method="post" action="?<%= current_page %>">
      <input type="submit" name="<%= item.file_path %>" value="削除" />
     </form>
    </td>
   </tr>
<% } %>
  </table>

  <div class="page_info">
   Page:
<%
   (1 .. page_number).each {|page|
     if page == current_page then
%>
     [ <em><%= page %></em> ]
<%
      else
%>
     [<a href="?<%= page %>"><%= page %></a>]
<%
     end
   }
%>
  </div>

  <hr class="footer" />

  <div class="footer">
   Copyright(C) 2005 acapulco.dyndns.org
  </div>

  <div class="package_info">
   <a href="http://acapulco.dyndns.org/mod_uploader/">@PACKAGE_NAME@/@PACKAGE_VERSION@ is Free!</a>
  </div>

  <div class="validator">
   <a href="http://validator.w3.org/check?uri=referer">
    <img src="http://www.w3.org/Icons/valid-xhtml11" alt="Valid XHTML 1.1!" height="31" width="88" />
   </a>
   <a href="http://jigsaw.w3.org/css-validator/check/referer">
    <img src="http://jigsaw.w3.org/css-validator/images/vcss" alt="Valid CSS!" height="31" width="88" />
   </a>
  </div>

 </body>

</html>
